# Contributing

Contributing to the project does not necessarily require familiarity with every component. The [index page](index.md) explains the project structure and links to some high-level project documentation. If you require detailed information not covered here, please open a [discussion](https://github.com/vmware/vmware-aria-operations-integration-sdk/discussions/new?category=general)

## Environment
This project uses Python 3.9 - 3.12. All other dependencies can be installed via [poetry](https://python-poetry.org/),
by running:

```shell
poetry install --only=dev
```

### Tests
Every change you make should be accompanied by appropriate tests. To learn more about running current tests, visit
[Unit Tests](tests.md) documentation.

## Submit Your Contribution

Once you're confident in the changes, it's time to submit them. Create a pull request. Include a clear description
of the changes in the pull request, along with any issues resolved. The maintainers of the project will then review
the changes. If there are any issues with your changes, one of the maintainers will give you feedback. You may need
to make further changes based on the feedback before your contribution is accepted.
